Subject: Re: linux-next: manual merge of the block tree with the vfs tree

From: Jens Axboe <[email-masked]>
Date: Thu, 14 Jul 2022 10:36:35 -0600

On 7/13/22 8:08 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   block/bio.c
> 
> between commits:
> 
>   35006342b739 ("block: ensure iov_iter advances for added pages")
>   248022ffae3f ("block: ensure bio_iov_add_page can't fail")
>   7b1ccdf617ca ("block: fix leaking page ref on truncated direct io")
>   9a6469060316 ("block: convert to advancing variants of iov_iter_get_pages{,_alloc}()")
> 
> from the vfs tree and commits:
> 
>   5a044eef1265 ("block: ensure iov_iter advances for added pages")
>   ac3c48e32c04 ("block: ensure bio_iov_add_page can't fail")
>   44b6b0b0e980 ("block: fix leaking page ref on truncated direct io")
> 
> from the block tree.

I pinged Al about this the other day, but haven't heard back yet. It's
not clear to me what block bits he has in his tree. We'll get it sorted
out.

-- 
Jens Axboe